Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text
Interface IInformationControl

All Known Implementing Classes:
  DefaultInformationControl

public interface IInformationControl

Interface of a control presenting information. The information is given in the form of an input object. It can be either the content itself or a description of the content. The specification of what is required from an input object is left to the implementers of this interface.

The information control may not grab focus when made visible using `setVisible(true)`. In order to provide backward compatibility for clients of `IInformationControl`, extension interfaces are used as a means of evolution. The following extension interfaces exist:

- `IInformationControlExtension` since version 2.0 introducing the predicate of whether the control has anything to show or would be empty
- `IInformationControlExtension2` since version 2.1 replacing the original concept of textual input by general input objects.
- `IInformationControlExtension3`since version 3.0 providing access to the control's bounds and introducing the concept of persistent size and location.

Clients can implements that interface and its extension interfaces or use the provided default implementation `DefaultInformationControl`.

Since:
  2.0
See Also:
  `IInformationControlExtension`, `IInformationControlExtension2`, `IInformationControlExtension3`

Method Summary
`void` | `addDisposeListener(DisposeListener listener)` Adds the given listener to the list of dispose listeners.
`void` | `addFocusListener(FocusListener listener)` Adds the given listener to the list of focus listeners.
`Point` | `computeSizeHint()` Computes and returns a proposal for the size of this information control depending on the information to present.
`void` | `dispose()` Disposes this information control.
`boolean` | `isFocusControl()` Returns whether this information control has the focus.
`void` | `removeDisposeListener(DisposeListener listener)` Removes the given listeners from the list of dispose listeners.
`void` | `removeFocusListener(FocusListener listener)` Removes the given listeners from the list of focus listeners.
`void` | `setBackgroundColor(Color background)` Sets the background color of this information control.
`void` | `setFocus()` Sets the keyboard focus to this information control.
`void` | `setForegroundColor(Color foreground)` Sets the foreground color of this information control.
`void` | `setInformation(String information)` Sets the information to be presented by this information control.
`void` | `setLocation(Point location)` Sets the location of this information control.
`void` | `setSize(int width, int height)` Sets the size of this information control.
`void` | `setSizeConstraints(int maxWidth, int maxHeight)` Sets the information control's size constraints.
`void` | `setVisible(boolean visible)` Controls the visibility of this information control.

Method Detail

### setInformation

    public void setInformation(String information)

  Sets the information to be presented by this information control.

  Replaced by `IInformationControlExtension2.setInput(Object)`.

  Parameters:
    `information` - the information to be presented

### setSizeConstraints

    public void setSizeConstraints(int maxWidth,
                                   int maxHeight)

  Sets the information control's size constraints. A constraint value of `-1` indicates no constraint. This method must be called before `computeSizeHint` is called.

  Note: An information control which implements `IInformationControlExtension3` may ignore this method or use it as hint for its very first appearance.

  Parameters:
    `maxWidth` - the maximal width of the control to present the information, or `-1` for not constraint
    `maxHeight` - the maximal height of the control to present the information, or `-1` for not constraint

### computeSizeHint

    public Point computeSizeHint()

  Computes and returns a proposal for the size of this information control depending on the information to present. The method tries to honor known size constraints but might return a size that exceeds them.

  Returns:
    the computed size hint

### setVisible

    public void setVisible(boolean visible)

  Controls the visibility of this information control.

  Parameters:
    `visible` - `true` if the control should be visible

### setSize

    public void setSize(int width,
                        int height)

  Sets the size of this information control.

  Parameters:
    `width` - the width of the control
    `height` - the height of the control

### setLocation

    public void setLocation(Point location)

  Sets the location of this information control.

  Parameters:
    `location` - the location

### dispose

    public void dispose()

  Disposes this information control.

### addDisposeListener

    public void addDisposeListener(DisposeListener listener)

  Adds the given listener to the list of dispose listeners. If the listener is already registered it is not registered again.

  Parameters:
    `listener` - the listener to be added

### removeDisposeListener

    public void removeDisposeListener(DisposeListener listener)

  Removes the given listeners from the list of dispose listeners. If the listener is not registered this call has no effect.

  Parameters:
    `listener` - the listener to be removed

### setForegroundColor

    public void setForegroundColor(Color foreground)

  Sets the foreground color of this information control.

  Parameters:
    `foreground` - the foreground color of this information control

### setBackgroundColor

    public void setBackgroundColor(Color background)

  Sets the background color of this information control.

  Parameters:
    `background` - the background color of this information control

### isFocusControl

    public boolean isFocusControl()

  Returns whether this information control has the focus.

  Returns:
    `true` when the information control has the focus otherwise `false`

### setFocus

    public void setFocus()

  Sets the keyboard focus to this information control.

### addFocusListener

    public void addFocusListener(FocusListener listener)

  Adds the given listener to the list of focus listeners. If the listener is already registered it is not registered again.

  Parameters:
    `listener` - the listener to be added

### removeFocusListener

    public void removeFocusListener(FocusListener listener)

  Removes the given listeners from the list of focus listeners. If the listener is not registered this call has no affect.

  Parameters:
    `listener` - the listener to be removed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.